Bug 1819554 - Review Request: wob - A lightweight overlay volume/backlight/progress/anything bar for Wayland
Summary: Review Request: wob - A lightweight overlay volume/backlight/progress/anythin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-01 03:43 UTC by Bob Hepple
Modified: 2020-04-25 02:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-15 20:33:44 UTC
Type: ---
mail: fedora-review+


Attachments (Terms of Use)

Description Bob Hepple 2020-04-01 03:43:51 UTC
Spec URL: https://download.copr.fedorainfracloud.org/results/wef/wob/fedora-31-x86_64/01324874-wob/wob.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/wef/wob/fedora-31-x86_64/01324874-wob/wob-0.8-2.fc31.src.rpm

Description: 
A lightweight overlay volume/backlight/progress/anything bar for
Wayland. This project is inspired by xob - X Overlay Bar.

Fedora Account System Username: wef

Comment 1 Fabian Affolter 2020-04-01 08:38:32 UTC
Package looks good beside three minor issues.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in
  /home/fab/Documents/repos/reviews/1819554-wob/diff.txt
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/SourceURL/
- %doc is missing the README file
- Remove "This project is inspired by xob - X Overlay Bar." from the 
  description. This is something for the documentation.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "ISC License", "Unknown or generated", "NTP License (legal
     disclaimer)". 5 files have unknown license. Detailed output of
     licensecheck in
     /home/fab/Documents/repos/reviews/1819554-wob/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: wob-0.8-2.fc33.x86_64.rpm
          wob-debuginfo-0.8-2.fc33.x86_64.rpm
          wob-debugsource-0.8-2.fc33.x86_64.rpm
          wob-0.8-2.fc33.src.rpm
wob.x86_64: W: spelling-error Summary(en_US) backlight -> back light, back-light, fightback
wob.x86_64: W: spelling-error %description -l en_US backlight -> back light, back-light, fightback
wob.x86_64: W: spelling-error %description -l en_US xob -> box, cob, ob
wob.x86_64: E: changelog-time-in-future 2020-04-01
wob-debuginfo.x86_64: E: changelog-time-in-future 2020-04-01
wob-debugsource.x86_64: E: changelog-time-in-future 2020-04-01
wob.src: W: spelling-error Summary(en_US) backlight -> back light, back-light, fightback
wob.src: W: spelling-error %description -l en_US backlight -> back light, back-light, fightback
wob.src: W: spelling-error %description -l en_US xob -> box, cob, ob
wob.src: E: changelog-time-in-future 2020-04-01
wob.src: E: specfile-error warning: bogus date in %changelog: Tue Apr  1 2020 Bob Hepple <bob.hepple@gmail.com> - 0.8-2
4 packages and 0 specfiles checked; 5 errors, 6 warnings.




Rpmlint (debuginfo)
-------------------
Checking: wob-debuginfo-0.8-2.fc33.x86_64.rpm
wob-debuginfo.x86_64: E: changelog-time-in-future 2020-04-01
1 packages and 0 specfiles checked; 1 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://github.com/francma/wob/archive/0.8/wob-0.8.tar.gz :
  CHECKSUM(SHA256) this package     : ba4e039632a95493316de1cae399ebdad41e838629737b3d16bff6a48bfdfaab
  CHECKSUM(SHA256) upstream package : 9328ddb751f4fed566884d9f96756b9fe43dbcda9a60ed90aa2b84021653a4a2
diff -r also reports differences


Requires
--------
wob (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    librt.so.1()(64bit)
    libwayland-client.so.0()(64bit)
    rtld(GNU_HASH)

wob-debuginfo (rpmlib, GLIBC filtered):

wob-debugsource (rpmlib, GLIBC filtered):



Provides
--------
wob:
    wob
    wob(x86-64)

wob-debuginfo:
    debuginfo(build-id)
    wob-debuginfo
    wob-debuginfo(x86-64)

wob-debugsource:
    wob-debugsource
    wob-debugsource(x86-64)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -b 1819554
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Generic, Shell-api
Disabled plugins: fonts, R, Haskell, Python, PHP, Ocaml, SugarActivity, Perl, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Bob Hepple 2020-04-06 00:28:47 UTC
Hi Fabian

Thanks for the review! 

I've fixed the second 2 issues. 

As for the MD5SUM error, upstream has done something funny with the download links - on the 0.8 release page, the wob-0.8.tar.gz file has no README.md file while the file downloaded with 'spectool -g' does have it. I've downloaded a fresh one with spectool and fedora-review is now happy. 


SPEC URL: https://download.copr.fedorainfracloud.org/results/wef/wob/fedora-31-x86_64/01328828-wob/wob.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/wef/wob/fedora-31-x86_64/01328828-wob/wob-0.8-3.fc31.src.rpm

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "ISC License", "NTP License (legal
     disclaimer)". 9 files have unknown license. Detailed output of
     licensecheck in /home/bhepple/tmp/wob/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: wob-0.8-3.fc33.x86_64.rpm
          wob-debuginfo-0.8-3.fc33.x86_64.rpm
          wob-debugsource-0.8-3.fc33.x86_64.rpm
          wob-0.8-3.fc33.src.rpm
wob.x86_64: W: spelling-error Summary(en_US) backlight -> back light, back-light, fightback
wob.x86_64: W: spelling-error %description -l en_US backlight -> back light, back-light, fightback
wob.src: W: spelling-error Summary(en_US) backlight -> back light, back-light, fightback
wob.src: W: spelling-error %description -l en_US backlight -> back light, back-light, fightback
4 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: wob-debuginfo-0.8-3.fc33.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
wob-debuginfo.x86_64: W: invalid-url URL: https://github.com/francma/wob <urlopen error [Errno -2] Name or service not known>
wob.x86_64: W: spelling-error Summary(en_US) backlight -> back light, back-light, fightback
wob.x86_64: W: spelling-error %description -l en_US backlight -> back light, back-light, fightback
wob.x86_64: W: invalid-url URL: https://github.com/francma/wob <urlopen error [Errno -2] Name or service not known>
wob-debugsource.x86_64: W: invalid-url URL: https://github.com/francma/wob <urlopen error [Errno -2] Name or service not known>
3 packages and 0 specfiles checked; 0 errors, 5 warnings.



Source checksums
----------------
https://github.com/francma/wob/archive/0.8/wob-0.8.tar.gz :
  CHECKSUM(SHA256) this package     : 9328ddb751f4fed566884d9f96756b9fe43dbcda9a60ed90aa2b84021653a4a2
  CHECKSUM(SHA256) upstream package : 9328ddb751f4fed566884d9f96756b9fe43dbcda9a60ed90aa2b84021653a4a2


Requires
--------
wob (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    librt.so.1()(64bit)
    libwayland-client.so.0()(64bit)
    rtld(GNU_HASH)

wob-debuginfo (rpmlib, GLIBC filtered):

wob-debugsource (rpmlib, GLIBC filtered):



Provides
--------
wob:
    wob
    wob(x86-64)

wob-debuginfo:
    debuginfo(build-id)
    wob-debuginfo
    wob-debuginfo(x86-64)

wob-debugsource:
    wob-debugsource
    wob-debugsource(x86-64)



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review --rpm-spec -n /home/bhepple/rpmbuild/SRPMS/wob-0.8-3.fc31.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, C/C++, Generic
Disabled plugins: SugarActivity, Perl, PHP, Python, Haskell, R, Java, fonts, Ocaml
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Fabian Affolter 2020-04-06 06:33:40 UTC
Package APPROVED

Comment 4 Bob Hepple 2020-04-06 06:35:55 UTC
Thanks Fabian!

I'm going ahead to ask for the repo now.

Comment 6 Gwyn Ciesla 2020-04-06 13:11:30 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/wob

Comment 7 Fedora Update System 2020-04-07 23:38:06 UTC
FEDORA-2020-e2e62d0a34 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e2e62d0a34

Comment 8 Fedora Update System 2020-04-07 23:49:49 UTC
FEDORA-2020-36ba0c0ac8 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-36ba0c0ac8

Comment 9 Fedora Update System 2020-04-08 02:15:42 UTC
FEDORA-2020-36ba0c0ac8 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-36ba0c0ac8 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-36ba0c0ac8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-04-08 02:29:45 UTC
FEDORA-2020-e2e62d0a34 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-e2e62d0a34 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e2e62d0a34

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-04-15 20:33:44 UTC
FEDORA-2020-36ba0c0ac8 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-04-25 02:18:54 UTC
FEDORA-2020-e2e62d0a34 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.